> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace subscription details

> Requires one of the following scopes: `workspace_billing:read`, `workspace_billing:all`, `all:read`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json get /api/v2/workspace-billing/subscription-details
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/workspace-billing/subscription-details:
    get:
      tags:
        - WorkspaceBilling
      summary: Get workspace subscription details
      description: >-
        Requires one of the following scopes: `workspace_billing:read`,
        `workspace_billing:all`, `all:read`, `all:all`
      operationId: getWorkspaceSubscriptionDetails
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  subscriptions:
                    type: array
                    items:
                      type: object
                      properties:
                        workspace_id:
                          type: string
                          format: uuid
                          description: The ID of the workspace
                          example: 019e18e2-a684-724b-975a-0f2a49579c23
                        interval:
                          type: string
                          enum:
                            - month
                            - year
                          description: The billing interval of the subscription
                          example: month
                        quantity:
                          type: number
                          description: The quantity of subscribed items
                          example: 1
                        product_id:
                          type: string
                          description: The Id of outreach plan subscribed to
                          enum:
                            - pid_ls_v1
                            - pid_hg_v1
                            - pid_g_v1
                            - pid_g_v2
                            - pid_nic_v1
                            - pid_nic_v1_annual
                            - pid_gic_v1
                            - pid_gic_v1_annual
                            - pid_sic_v1
                            - pid_sic_v1_annual
                            - pid_hic_v1
                            - pid_hic_v1_annual
                            - pid_verify_v1_monthly
                            - pid_hv_v1
                            - pid_hv_v1_annual
                            - pid_lsv_v1
                            - pid_lsv_v1_annual
                            - pid_crm_hg
                            - pid_crm_g
                            - pid_ip_g
                            - pid_ip_hg
                            - pid_addon_25kl_v1
                            - pid_addon_lf_10k_v1
                            - pid_addon_ic_50k_v1
                            - pid_addon_lf_10k_v1_annual
                            - pid_addon_ic_50k_v1_annual
                          x-enumDescriptions:
                            pid_g_v1: Growth Plan
                            pid_g_v2: Growth Plan V2
                            pid_hg_v1: Hypergrowth Plan
                            pid_ls_v1: LightSpeed Plan
                            pid_nic_v1: Instantly Credits Nano
                            pid_nic_v1_annual: Instantly Credits Nano Annual
                            pid_gic_v1: Instantly Credits Growth
                            pid_gic_v1_annual: Instantly Credits Growth Annual
                            pid_sic_v1: Instantly Credits Supersonic
                            pid_sic_v1_annual: Instantly Credits Supersonic Annual
                            pid_hic_v1: Instantly Credits Hyper Leads
                            pid_hic_v1_annual: Instantly Credits Hyper Leads Annual
                            pid_verify_v1_monthly: Verification Monthly
                            pid_hv_v1: Website Visitor Hypergrowth Monthly
                            pid_hv_v1_annual: Website Visitor Hypergrowth Annual
                            pid_lsv_v1: Website Visitor Lightspeed Monthly
                            pid_lsv_v1_annual: Website Visitor Lightspeed Annual
                            pid_crm_hg: CRM
                            pid_crm_g: Growth CRM
                            pid_ip_g: Inbox Placement Growth Monthly
                            pid_ip_hg: Inbox Placement Hypergrowth Monthly
                            pid_addon_25kl_v1: Addon Lead 25K
                            pid_addon_lf_10k_v1: Addon Lead Finder
                            pid_addon_ic_50k_v1: Addon Instantly Credits
                            pid_addon_lf_10k_v1_annual: Addon Lead Finder Annual
                            pid_addon_ic_50k_v1_annual: Addon Instantly Credits Annual
                          example: pid_g_v1
                        product_type:
                          type: string
                          enum:
                            - prt_outreach
                            - prt_leadfinder
                          description: The type of product subscribed to
                          example: prt_outreach
                        plan_type:
                          type: string
                          enum:
                            - plt_addon
                            - plt_primary
                          description: The type of plan - either primary plan or addon
                          example: plt_primary
                        current_period_end:
                          type: number
                          description: Unix timestamp when the current billing period ends
                          example: 1704067200
                        cancel_at_time:
                          type:
                            - 'null'
                            - number
                          description: >-
                            Unix timestamp when the subscription will be
                            canceled, null if not scheduled for cancellation
                          example: 1704067200
                        price_in_dollars:
                          type: number
                          description: The price of the subscription in dollars
                          example: 97
                        price_id:
                          type: string
                          description: >-
                            The Stripe price ID associated with this
                            subscription
                          example: price_H5UMXtIFH7Rh9K
                  all_subs_cancelled:
                    type: boolean
                    description: >-
                      Indicates whether all subscriptions are either already
                      canceled or scheduled to be canceled at the end of their
                      current billing cycles
                    example: false
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````